Package be.fgov.ehealth.dics.protocol.v5

# Class FindCompanyRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindCompanyRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindCompanyRequest extends DicsRequestType implements Serializable

Java class for FindCompanyRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCompanyRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="CompanyActorNr" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AnyNamePart" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="VatNr" type="{urn:be:fgov:ehealth:dics:protocol:v5}VatNrPerCountryType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCompanyRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAnyNamePart()`
  Gets the value of the anyNamePart property.
  `String`
  `getCompanyActorNr()`
  Gets the value of the companyActorNr property.
  `VatNrPerCountryType`
  `getVatNr()`
  Gets the value of the vatNr property.
  `void`
  `setAnyNamePart(String value)`
  Sets the value of the anyNamePart property.
  `void`
  `setCompanyActorNr(String value)`
  Sets the value of the companyActorNr property.
  `void`
  `setVatNr(VatNrPerCountryType value)`
  Sets the value of the vatNr property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindCompanyRequest

    public FindCompanyRequest()

- ## Method Details

  - ### getVatNr

    public VatNrPerCountryType getVatNr()
    Gets the value of the vatNr property.
    Returns:
      possible object is `VatNrPerCountryType`

  - ### setVatNr

    public void setVatNr(VatNrPerCountryType value)
    Sets the value of the vatNr property.
    Parameters:
      `value` - allowed object is `VatNrPerCountryType`

  - ### getAnyNamePart

    public String getAnyNamePart()
    Gets the value of the anyNamePart property.
    Returns:
      possible object is `String`

  - ### setAnyNamePart

    public void setAnyNamePart(String value)
    Sets the value of the anyNamePart property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCompanyActorNr

    public String getCompanyActorNr()
    Gets the value of the companyActorNr property.
    Returns:
      possible object is `String`

  - ### setCompanyActorNr

    public void setCompanyActorNr(String value)
    Sets the value of the companyActorNr property.
    Parameters:
      `value` - allowed object is `String`